.ordered-list
  & + &
    margin-top .625rem
  padding-left 1.25rem
  li
    & + li
      margin-top 0.25rem
    &::marker
      font-weight 700
      color var(--color-mark)
  &--marked
    padding-left 0
    counter-reset order-list-marked
    li
      counter-increment order-list-marked
      display flex
      align-items center
      gap .5rem
      +before()
        content counter(order-list-marked)
        align-self start
        flex-shrink 0
        display grid
        justify-content center
        align-items center
        width 3rem
        height 3rem
        background-color var(--color-background)
        border-radius 1.5rem
        color var(--color-mark)
        font-size 1.5em
  &--align-items--center
    li
      align-items center
  &--align-items--flex-start
    li
      align-items flex-start
  &--column--m
    +media-max(m)
      li
        flex-direction column
        align-items center
        +before()
          content counter(order-list-marked)
          align-self center
